"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createDataSourcesSchema = void 0;
var _featureFlags = require("@webiny/feature-flags");
var _handlerGraphql = require("@webiny/handler-graphql");
var _schema = require("./schema");
var _resolvers = require("./resolvers");
const createDataSourcesSchema = () => {
  return (0, _handlerGraphql.createGraphQLSchemaPlugin)({
    typeDefs: _schema.dataSourcesSchema,
    resolvers: _resolvers.dataSourcesResolvers,
    isApplicable: () => {
      return _featureFlags.featureFlags.experimentalDynamicPages === true;
    }
  });
};
exports.createDataSourcesSchema = createDataSourcesSchema;

//# sourceMappingURL=createDataSourcesSchema.js.map